Автор Тема: [Решено] Не работает установленный драйвер nvidia 173xx, NV 5500 (NV34)  (Прочитано 10931 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Aalexeey

Пробовал следущее:
1. Взято отсюда https://debianforum.ru/index.php?topic=5.msg12
aptitude install nvidia-glx-legacy-173xx nvidia-kernel-`uname -r` nvidia-kernel-legacy-173xx-dkms nvidia-settings-legacy-173xx nvidia-xconfigзагрузка и установка проходят нормально но X не грузится вот лог:[    38.116]
X.Org X Server 1.12.4
Release Date: 2012-08-27
[    38.116] X Protocol Version 11, Revision 0
[    38.116] Build Operating System: Linux 2.6.32-5-686-bigmem i686 Debian
[    38.116] Current Operating System: Linux p4i45e 3.2.0-4-686-pae #1 SMP Debian 3.2.41-2 i686
[    38.116] Kernel command line: BOOT_IMAGE=/vmlinuz-3.2.0-4-686-pae root=UUID=7c518abd-b082-4b18-a96a-e2081248dcd1 ro quiet acpi_enforce_resources=lax
[    38.116] Build Date: 17 April 2013  11:13:16AM
[    38.116] xorg-server 2:1.12.4-6 (Julien Cristau <jcristau@debian.org>)
[    38.116] Current version of pixman: 0.26.0
[    38.116] Before reporting problems, check http://wiki.x.org
to make sure that you have the latest version.
[    38.116] Markers: (--) probed, (**) from config file, (==) default setting,
(++) from command line, (!!) notice, (II) informational,
(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    38.117] (==) Log file: "/var/log/Xorg.0.log", Time: Sat May 25 22:45:32 2013
[    38.117] (==) Using config file: "/etc/X11/xorg.conf"
[    38.117] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    38.118] (==) ServerLayout "Default Layout"
[    38.118] (**) |-->Screen "Default Screen" (0)
[    38.118] (**) |   |-->Monitor "Monitor0"
[    38.118] (**) |   |-->Device "Device0"
[    38.118] (**) |-->Input Device "Keyboard0"
[    38.118] (**) |-->Input Device "Mouse0"
[    38.118] (==) Automatically adding devices
[    38.118] (==) Automatically enabling devices
[    38.118] (==) FontPath set to:
/usr/share/fonts/X11/misc,
/usr/share/fonts/X11/cyrillic,
/usr/share/fonts/X11/100dpi/:unscaled,
/usr/share/fonts/X11/75dpi/:unscaled,
/usr/share/fonts/X11/Type1,
/usr/share/fonts/X11/100dpi,
/usr/share/fonts/X11/75dpi,
/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
built-ins
[    38.118] (==) ModulePath set to "/usr/lib/xorg/modules"
[    38.118] (WW) Hotplugging is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
[    38.119] (WW) Disabling Keyboard0
[    38.119] (WW) Disabling Mouse0
[    38.119] (II) Loader magic: 0xb77655a0
[    38.119] (II) Module ABI versions:
[    38.119] X.Org ANSI C Emulation: 0.4
[    38.119] X.Org Video Driver: 12.1
[    38.119] X.Org XInput driver : 16.0
[    38.119] X.Org Server Extension : 6.0
[    38.120] (--) PCI:*(0:1:0:0) 10de:0326:1acc:0192 rev 161, Mem @ 0xde000000/16777216, 0xc0000000/268435456, BIOS @ 0x????????/131072
[    38.120] (II) Open ACPI successful (/var/run/acpid.socket)
[    38.120] (II) LoadModule: "extmod"
[    38.121] (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
[    38.122] (II) Module extmod: vendor="X.Org Foundation"
[    38.122] compiled for 1.12.4, module version = 1.0.0
[    38.122] Module class: X.Org Server Extension
[    38.122] ABI class: X.Org Server Extension, version 6.0
[    38.122] (II) Loading extension SELinux
[    38.122] (II) Loading extension MIT-SCREEN-SAVER
[    38.122] (II) Loading extension XFree86-VidModeExtension
[    38.122] (II) Loading extension XFree86-DGA
[    38.122] (II) Loading extension DPMS
[    38.122] (II) Loading extension XVideo
[    38.122] (II) Loading extension XVideo-MotionCompensation
[    38.122] (II) Loading extension X-Resource
[    38.122] (II) LoadModule: "dbe"
[    38.123] (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
[    38.123] (II) Module dbe: vendor="X.Org Foundation"
[    38.123] compiled for 1.12.4, module version = 1.0.0
[    38.123] Module class: X.Org Server Extension
[    38.123] ABI class: X.Org Server Extension, version 6.0
[    38.123] (II) Loading extension DOUBLE-BUFFER
[    38.123] (II) LoadModule: "glx"
[    38.123] (II) Loading /usr/lib/xorg/modules/linux/libglx.so
[    38.159] (II) Module glx: vendor="NVIDIA Corporation"
[    38.159] compiled for 4.0.2, module version = 1.0.0
[    38.159] Module class: X.Org Server Extension
[    38.159] (II) NVIDIA GLX Module  173.14.35  Thu May 31 12:34:02 PDT 2012
[    38.159] (II) Loading extension GLX
[    38.159] (II) LoadModule: "record"
[    38.160] (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
[    38.160] (II) Module record: vendor="X.Org Foundation"
[    38.160] compiled for 1.12.4, module version = 1.13.0
[    38.160] Module class: X.Org Server Extension
[    38.160] ABI class: X.Org Server Extension, version 6.0
[    38.160] (II) Loading extension RECORD
[    38.160] (II) LoadModule: "dri"
[    38.161] (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
[    38.161] (II) Module dri: vendor="X.Org Foundation"
[    38.161] compiled for 1.12.4, module version = 1.0.0
[    38.161] ABI class: X.Org Server Extension, version 6.0
[    38.161] (II) Loading extension XFree86-DRI
[    38.162] (II) LoadModule: "dri2"
[    38.162] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[    38.162] (II) Module dri2: vendor="X.Org Foundation"
[    38.162] compiled for 1.12.4, module version = 1.2.0
[    38.162] ABI class: X.Org Server Extension, version 6.0
[    38.162] (II) Loading extension DRI2
[    38.162] (II) LoadModule: "nvidia"
[    38.163] (II) Loading /usr/lib/xorg/modules/drivers/nvidia_drv.so
[    38.164] (II) Module nvidia: vendor="NVIDIA Corporation"
[    38.164] compiled for 4.0.2, module version = 1.0.0
[    38.164] Module class: X.Org Video Driver
[    38.164] (II) NVIDIA dlloader X Driver  173.14.35  Thu May 31 12:10:59 PDT 2012
[    38.164] (II) NVIDIA Unified Driver for all Supported NVIDIA GPUs
[    38.164] (++) using VT number 7

[    38.167] (II) Loading sub module "fb"
[    38.167] (II) LoadModule: "fb"
[    38.167] (II) Loading /usr/lib/xorg/modules/libfb.so
[    38.168] (II) Module fb: vendor="X.Org Foundation"
[    38.168] compiled for 1.12.4, module version = 1.0.0
[    38.168] ABI class: X.Org ANSI C Emulation, version 0.4
[    38.168] (II) Loading sub module "wfb"
[    38.168] (II) LoadModule: "wfb"
[    38.169] (II) Loading /usr/lib/xorg/modules/libwfb.so
[    38.169] (II) Module wfb: vendor="X.Org Foundation"
[    38.169] compiled for 1.12.4, module version = 1.0.0
[    38.169] ABI class: X.Org ANSI C Emulation, version 0.4
[    38.169] (II) Loading sub module "ramdac"
[    38.169] (II) LoadModule: "ramdac"
[    38.169] (II) Module "ramdac" already built-in
[    38.170] (==) NVIDIA(0): Depth 24, (==) framebuffer bpp 32
[    38.170] (==) NVIDIA(0): RGB weight 888
[    38.170] (==) NVIDIA(0): Default visual is TrueColor
[    38.170] (==) NVIDIA(0): Using gamma correction (1.0, 1.0, 1.0)
[    38.170] (**) NVIDIA(0): Enabling RENDER acceleration
[    38.170] (II) NVIDIA(0): Support for GLX with the Damage and Composite X extensions is
[    38.170] (II) NVIDIA(0):     enabled.
[    39.135] (EE) NVIDIA(0): Failed to load the NVIDIA kernel module!
[    39.135] (EE) NVIDIA(0):  *** Aborting ***
[    39.135] (II) UnloadModule: "nvidia"
[    39.135] (II) UnloadSubModule: "wfb"
[    39.135] (II) UnloadSubModule: "fb"
[    39.135] (EE) Screen(s) found, but none have a usable configuration.
[    39.135]
Fatal server error:
[    39.135] no screens found
[    39.135]
Please consult the The X.Org Foundation support
at http://wiki.x.org
 for help.
[    39.135] Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[    39.135]
[    39.141] Server terminated with error (1). Closing log file.
2. Взято отсюда https://debianforum.ru/index.php?topic=31.0
p4i45e xxxxxx # sgfxi -! 40 -o 173.14.35
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Confirming full kernel list from /lib/modules...
Checking 2.6.32-5-686 in /boot/grub/grub.cfg.... Invalid
Checking 2.6.39-2-686-pae in /boot/grub/grub.cfg.... Invalid
No kernels found to create modules for. Exiting script now.
Ещё не понятно откуда берётся везде упоминание о ядре 2.6.32-5-686, его у меня установлено никогда не было?
3. xorg.conf пробовал старый сгенерированный "Росинка 9"
Debian Wheezy MATE Desktop ядро 3.2.0-4-686-pae 3.2.41-2+deb7u2 (stable), ASRock P4i45E P4 2,4GHz HT + AGP NV5500
Сейчас система откачена "Clonezilla" на состояние с nouveau драйвером.
« Последнее редактирование: 30 Май 2013, 20:59:46 от Aalexeey »
https://debianforum.ru/index.php?topic=6879 100% защиты от "Ааааа у меня всё поломалось"
 

Оффлайн Brainey

Не пробуйте старый xorg.conf из Росинки, лучше переименуйте или удалите его из /etc/X11 и создайте новый с помощью команды
# nvidia-xconfig
Сообщение объединено: 28 Май 2013, 21:46:45
Ещё не понятно откуда берётся везде упоминание о ядре 2.6.32-5-686, его у меня установлено никогда не было?
# update-grubзапускали? Если да, то что в /etc/default/grub?
« Последнее редактирование: 28 Май 2013, 21:46:45 от Brainey »
Конференция форума в jabber: debianforum@conference.jabber.ru | Клуб кедоводов: kde@conference.jabber.ru
 

Оффлайн Aalexeey

Конечно nvidia-xconfig делал, причём пробовал его и старый nvidia-xconfig_195.36.31-1_i386.deb на случай если последний вдруг опять забыл старые видео карты (уже такое было).
Только что пробовал в безопасном режиме:dpkg-reconfigure nvidia-kernel-legacy-173xx-dkms всё проходит нормально, в последних строках вот это:nvidia:
Running module version sanity check
Error! Module version 304.88 for nvidia.ko
is not newer then what is already found in kernel 3.2.0-4-686-pae (304.88)
You may override by specifying --force
Так же X не грузится. Что за команда --force, и как её вводить если она мне нужна?
update-grub делал до обновления на последнее ядро, при обновлении на ядро 3.2.41-2+deb7u2 (stable) виснет на начале загрузки так что безопасный режим не доступен. Приходится откатывать раздел boot клоннзиллой. Сейчас в разделе boot файл initrd.img-3.2.0-4-686-pae 3.2.41-2 (stable) занимает 13,3MB, при обновлении на ядро 3.2.0-4-686-pae 3.2.41-2+deb7u2 (stable) его размер становился 8MB и методом тыка вычислил что из за этого изменённого initrd.img-3.2.0-4-686-pae система не грузится. Поэтому boot откатил на initrd.img-3.2.0-4-686-pae 3.2.41-2 (stable).
Сделал update-grub а затем sgfxi -! 40 -o 173.14.35
так же:p4i45e xxxxxx # sgfxi -! 40 -o 173.14.35
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Confirming full kernel list from /lib/modules...
Checking 2.6.32-5-686 in /boot/grub/grub.cfg.... Invalid
Checking 2.6.39-2-686-pae in /boot/grub/grub.cfg.... Invalid
No kernels found to create modules for. Exiting script now.
Вот grub из default:# If you change this file, run 'update-grub' afterwards to update
# /boot/grub/grub.cfg.
# For full documentation of the options in this file, see:
#   info -f grub -n 'Simple configuration'

GRUB_DEFAULT=0
GRUB_TIMEOUT=5
GRUB_DISTRIBUTOR=`lsb_release -i -s 2> /dev/null || echo Debian`
GRUB_CMDLINE_LINUX_DEFAULT="quiet acpi_enforce_resources=lax"
GRUB_CMDLINE_LINUX=" vga=769"

# Uncomment to enable BadRAM filtering, modify to suit your needs
# This works with Linux (no patch required) and with any kernel that obtains
# the memory map information from GRUB (GNU Mach, kernel of FreeBSD ...)
#GRUB_BADRAM="0x01234567,0xfefefefe,0x89abcdef,0xefefefef"

# Uncomment to disable graphical terminal (grub-pc only)
#GRUB_TERMINAL=console

# The resolution used on graphical terminal
# note that you can use only modes which your graphic card supports via VBE
# you can see them in real GRUB with the command `vbeinfo'
#GRUB_GFXMODE=640x480

# Uncomment if you don't want GRUB to pass "root=UUID=xxx" parameter to Linux
#GRUB_DISABLE_LINUX_UUID=true

# Uncomment to disable generation of recovery mode menu entries
#GRUB_DISABLE_RECOVERY="true"

# Uncomment to get a beep at grub start
#GRUB_INIT_TUNE="480 440 1"
« Последнее редактирование: 28 Май 2013, 23:47:37 от Aalexeey »
https://debianforum.ru/index.php?topic=6879 100% защиты от "Ааааа у меня всё поломалось"
 

Оффлайн Zypan

мб, как вариант версия драйвера видео которую вы хотите поставить держится только ядром 2,6,32 ( о чем он и уведомляет ), попробуйте просто sgfxi -o 304.88...
 

Оффлайн Aalexeey

попробуйте просто sgfxi -o 304.88...
304.88 не поддерживает мою видеокарту, 173.14.35 последний для неё драйвер который у меня для этой конкретно видеокарты независимо где она установлена всегда спокойно устанавливался и с 3.0 ядром, кроме последнего случая.
https://debianforum.ru/index.php?topic=6879 100% защиты от "Ааааа у меня всё поломалось"
 

Оффлайн Brainey

Попробуйте установить nvidia-installer-cleanup и запустить его:
# nvidia-installer-cleanupперед установкой драйвера.
Конференция форума в jabber: debianforum@conference.jabber.ru | Клуб кедоводов: kde@conference.jabber.ru
 

Оффлайн Aalexeey

Установил, в синаптик показывает что он усновлен но:p4i45e xxxxxx # nvidia-installer-cleanup
nvidia-installer-cleanup: command not found
Ещё, на этом конкретно компе проприетарный драйвер nvidia не устанавливался пока, то есть по идее и чистить нечего. Все эксперименты по его установке я провожу после отката клонзиллой на чистую, настроенную, рабочую систему.
« Последнее редактирование: 30 Май 2013, 15:48:28 от Aalexeey »
https://debianforum.ru/index.php?topic=6879 100% защиты от "Ааааа у меня всё поломалось"
 

Оффлайн Brainey

Тогда так:
# dpkg-reconfigure nvidia-installer-cleanupи ещё: у вас установлен пакет xserver-xorg-video-nvidia-legacy-173xx ?
покажите вывод
aptitude search ~invidia
« Последнее редактирование: 30 Май 2013, 15:58:20 от Brainey »
Конференция форума в jabber: debianforum@conference.jabber.ru | Клуб кедоводов: kde@conference.jabber.ru
 

Оффлайн Aalexeey

dpkg-reconfigure nvidia-installer-cleanupсделал, сейчас опять всё установлю проверю, т.к после последних установок X не грузился никак то естественно систему я откатил на рабочее до nvidia состояние.
# aptitude install nvidia-glx-legacy-173xx nvidia-kernel-`uname -r` nvidia-kernel-legacy-173xx-dkms nvidia-settings-legacy-173xx nvidia-xconfig
Следующие НОВЫЕ пакеты будут установлены:       
  glx-alternative-mesa{a} glx-alternative-nvidia{a} glx-diversions{a}
  libgl1-nvidia-alternatives{a} libgl1-nvidia-legacy-173xx-glx{a}
  libglx-nvidia-alternatives{a} nvidia-alternative-legacy-173xx{a}
  nvidia-glx-legacy-173xx nvidia-kernel-3.2.0-4-686-pae
  nvidia-kernel-common{a} nvidia-kernel-legacy-173xx-dkms
  nvidia-settings-legacy-173xx nvidia-support{a} nvidia-xconfig
  xserver-xorg-video-nvidia-legacy-173xx{a}
Следующие пакеты будут УДАЛЕНЫ:
  libecj-java{u} libservice-wrapper-java{u} libservice-wrapper-jni{u}
  service-wrapper{u}
пакет xserver-xorg-video-nvidia-legacy-173xx устанавливается автоматом
# aptitude search ~invidia
i A glx-alternative-nvidia          - allows the selection of NVIDIA as GLX prov
i A libgl1-nvidia-alternatives      - transition libGL.so* diversions to glx-alt
i A libgl1-nvidia-legacy-173xx-glx  - NVIDIA binary OpenGL libraries (173xx lega
i A libglx-nvidia-alternatives      - transition libgl.so diversions to glx-alte
i A nvidia-alternative-legacy-173xx - allows the selection of NVIDIA as GLX prov
i   nvidia-detect                   - NVIDIA GPU detection utility             
i   nvidia-glx-legacy-173xx         - NVIDIA metapackage (173xx legacy version)
i   nvidia-installer-cleanup        - cleanup after driver installation with the
i   nvidia-kernel-3.2.0-4-686-pae   - NVIDIA binary kernel module for Linux 3.2.
i A nvidia-kernel-common            - NVIDIA binary kernel module support files
i   nvidia-kernel-legacy-173xx-dkms - NVIDIA binary kernel module DKMS source (1
i   nvidia-settings-legacy-173xx    - Tool for configuring the NVIDIA graphics d
i A nvidia-support                  - NVIDIA binary graphics driver support file
i   nvidia-xconfig                  - X configuration tool for non-free NVIDIA d
i A xserver-xorg-video-nvidia-legac - NVIDIA binary Xorg driver (173xx legacy ve

Проверил, без изменений, X не запустились, log такой же, откатил систему опять.
Пробовал ещё "ddm" из LMDE репозиториев, с ним обычно всё проходило гладко и после перезагрузки вы имели тот драйвер которай выбрали, но сейчас после перезагрузки галочка продолжает стоять на nouveau.
« Последнее редактирование: 30 Май 2013, 17:12:03 от Aalexeey »
https://debianforum.ru/index.php?topic=6879 100% защиты от "Ааааа у меня всё поломалось"
 

Оффлайн Brainey

cat /etc/X11/xorg.conf
Конференция форума в jabber: debianforum@conference.jabber.ru | Клуб кедоводов: kde@conference.jabber.ru
 

Оффлайн Aalexeey

xorg.conf
# nvidia-xconfig: X configuration file generated by nvidia-xconfig
# nvidia-xconfig:  version 304.48  (buildd@murphy)  Wed Sep 12 11:32:28 UTC 2012


Section "ServerLayout"
    Identifier     "Layout0"
    Screen      0  "Screen0" 0 0
    InputDevice    "Keyboard0" "CoreKeyboard"
    InputDevice    "Mouse0" "CorePointer"
EndSection

Section "Files"
EndSection

Section "InputDevice"

    # generated from default
    Identifier     "Mouse0"
    Driver         "mouse"
    Option         "Protocol" "auto"
    Option         "Device" "/dev/psaux"
    Option         "Emulate3Buttons" "no"
    Option         "ZAxisMapping" "4 5"
EndSection

Section "InputDevice"

    # generated from default
    Identifier     "Keyboard0"
    Driver         "kbd"
EndSection

Section "Monitor"
    Identifier     "Monitor0"
    VendorName     "Unknown"
    ModelName      "Unknown"
    HorizSync       28.0 - 33.0
    VertRefresh     43.0 - 72.0
    Option         "DPMS"
EndSection

Section "Device"
    Identifier     "Device0"
    Driver         "nvidia"
    VendorName     "NVIDIA Corporation"
EndSection

Section "Screen"
    Identifier     "Screen0"
    Device         "Device0"
    Monitor        "Monitor0"
    DefaultDepth    24
    SubSection     "Display"
        Depth       24
    EndSubSection
EndSection
Сохранил его ранее через LiveCD.
https://debianforum.ru/index.php?topic=6879 100% защиты от "Ааааа у меня всё поломалось"
 

Оффлайн aliaksei1818

  • Пользователь
  • *
  • Сообщений: 36
Посмотрите результат сборки модуля nvidia.ko в /var/lib/dkms/*/make.log
 

Оффлайн Aalexeey

/var/lib/dkms/nvidia/173.14.35/3.2.0-4-686-pae/i686/log/make.log во вложении, потому что:
Следующие ошибки возникли при попытке отправки сообщения:
Сообщение превышает максимально допустимую длину (60000 знаков).
https://debianforum.ru/index.php?topic=6879 100% защиты от "Ааааа у меня всё поломалось"
 

Оффлайн aliaksei1818

  • Пользователь
  • *
  • Сообщений: 36
Ничего криминального не вижу.
Покажите тогда:
modprobe nvidia
dmesg|tail
 

Оффлайн Aalexeey

p4i45e xxxxxx # modprobe nvidia
ERROR: could not insert 'nvidia': No such device
p4i45e xxxxxx # dmesg|tail
[   34.128020] eth1: no IPv6 routers present
[ 6671.060039] end_request: I/O error, dev fd0, sector 0
[ 8771.784771] nvidia: module license 'NVIDIA' taints kernel.
[ 8771.784780] Disabling lock debugging due to kernel taint
[ 8772.748570] NVRM: The NVIDIA GeForce FX 5500 GPU installed in this system is
[ 8772.748575] NVRM:  supported through the NVIDIA 173.14.xx Legacy drivers. Please
[ 8772.748578] NVRM:  visit http://www.nvidia.com/object/unix.html for more
[ 8772.748581] NVRM:  information.  The 304.88 NVIDIA driver will ignore
[ 8772.748584] NVRM:  this GPU.  Continuing probe...
[ 8772.748611] NVRM: No NVIDIA graphics adapter found!
« Последнее редактирование: 30 Май 2013, 19:28:09 от Aalexeey »
https://debianforum.ru/index.php?topic=6879 100% защиты от "Ааааа у меня всё поломалось"
 

Теги:
 

Не копируется фото с камеры (Решено)

Автор leomuz

Ответов: 10
Просмотров: 2476
Последний ответ 08 Декабрь 2013, 20:26:58
от leomuz
Установка драйвера Nvidia Debian jessie

Автор viktor6

Ответов: 5
Просмотров: 2663
Последний ответ 02 Ноябрь 2015, 23:22:37
от VKH
[Решено!] Медленная загрузка Debian 9 ("Stretch"). Как побороть?

Автор Sferg

Ответов: 37
Просмотров: 5527
Последний ответ 17 Февраль 2018, 07:25:33
от qupl
[Решено] Сканер - вопрос о качестве отсканированного изображения.

Автор m90125

Ответов: 6
Просмотров: 4407
Последний ответ 29 Октябрь 2015, 01:29:45
от m90125
[РЕШЕНО] Разрешение для монитора 1980х1080

Автор Angel_ok

Ответов: 20
Просмотров: 10310
Последний ответ 14 Август 2014, 19:19:32
от Angel_ok